archive.h File Reference

FS_Archive driver. More...

`#include <sys/types.h>`
`#include <3ds/types.h>`
`#include <3ds/services/fs.h>`

Go to the source code of this file.

## Data Structures

struct | archive_dir_t
| Open directory struct. More...

## Macros

#define | ARCHIVE_DIRITER_MAGIC 0x68637261 /* "arch" */

## Functions

Result | archiveMountSdmc (void)
| Mounts the SD.
Result | archiveMount (FS_ArchiveID archiveID, FS_Path archivePath, const char *deviceName)
| Mounts and opens an archive as deviceName Returns either an archive open error code, or -1 for generic failure.
Result | archiveCommitSaveData (const char *deviceName)
| Uses FSUSER_ControlArchive with control action ARCHIVE_ACTION_COMMIT_SAVE_DATA on the opened archive. More...
Result | archiveUnmount (const char *deviceName)
| Unmounts the specified device, closing its archive in the process Returns -1 if the specified device was not found.
Result | archiveUnmountAll (void)
| Unmounts all devices and cleans up any resources used by the driver.
Result | archive_getmtime (const char *name, u64 *mtime)
| Get a file's mtime.

## Detailed Description

FS_Archive driver.

## Function Documentation

## archiveCommitSaveData()

Result archiveCommitSaveData | ( | const char * | deviceName | ) |

Uses FSUSER_ControlArchive with control action ARCHIVE_ACTION_COMMIT_SAVE_DATA on the opened archive.

Not done automatically at unmount. Returns -1 if the specified device is not found